/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Viviane Yang
 *   Co-authors:
 *      ...
 *
 */

/**
    @file Asteroids2DCenterPoint.cc
    @brief Implementation of the Asteroids2DCenterPoint class.
*/

#include "Asteroids2DCenterPoint.h"

#include "core/CoreIncludes.h"
#include "core/XMLPort.h"

#include "Asteroids2D.h"

namespace orxonox
{
    RegisterClass(Asteroids2DCenterPoint);

    Asteroids2DCenterPoint::Asteroids2DCenterPoint(Context* context) : StaticEntity(context)
    {
        RegisterObject(Asteroids2DCenterPoint);

        this->checkGametype();
        this->width_ = 1043;
        this->height_ = 646;
    }

    
    /**
    @brief
        Method to create a Asteroids2DCenterpoint through XML.
        Set dimension of the field with "width_, height_"
    */
    void Asteroids2DCenterPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
    {
        SUPER(Asteroids2DCenterPoint, XMLPort, xmlelement, mode);

        XMLPortParam(Asteroids2DCenterPoint, "dimension", setFieldDimension, getFieldDimension, xmlelement, mode);
    }


    void Asteroids2DCenterPoint::checkGametype()
    {
        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(Asteroids2D)))
        {
            Asteroids2D* Asteroids2DGametype = orxonox_cast<Asteroids2D*>(this->getGametype());
            Asteroids2DGametype->setCenterpoint(this);
        }
    }
}
