/*
 *   ORXONOX - the hottest 3D action shooter ever to exist
 *                    > www.orxonox.net <
 *
 *
 *   License notice:
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License
 *   as published by the Free Software Foundation; either version 2
 *   of the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 *   Author:
 *      Bolt Nikola
 *   Co-authors:
 *      Claudio Fanconi
 *
 *
 *   Authors' Note:
 *   The following class inherits of its superclass planet
 *   It is meant only for the Campaign Map
 *   This subclass of planet has the addition, that they can be labeled ingame, just like bots are in a level gameplay (As it would be nice to see which level you can play)
 *
 */

#include "NameableStaticEntity.h"

namespace orxonox
{
    RegisterClass(NameableStaticEntity);


    NameableStaticEntity::NameableStaticEntity(Context* context) : StaticEntity(context)
    {
        RegisterObject(NameableStaticEntity);
    }

    NameableStaticEntity::~NameableStaticEntity()
    {
    }

    void NameableStaticEntity::XMLPort(Element& xmlelement, XMLPort::Mode mode){
        SUPER(NameableStaticEntity, XMLPort, xmlelement, mode);
        XMLPortParam(NameableStaticEntity, "levelName", setLevelName, getLevelName, xmlelement, mode);
    }
}
